BOTCH-CLEAN-REPOSITORY(1)

NAME
botch-clean-repository - clean errors in a repository by removing transitively uninstallable or compilable packages

SYNOPSIS

botch-clean-repository [options] Packages Sources

DESCRIPTION
given a repository of binary packages and source packages, clean up that repository by removing packages that can't be compiled or installed and packages which don't have an associated binary or source package and packages which do not match the specified architecture.

This effectively creates a self contained repository of maximal size.

OPTIONS

--version
    show program's version and exit

-h, --help
    show this help message and exit

-v, --verbose
    print additional information

--quiet
    do no print any messages

--reqsrcarchall
    require source packages for arch:all binary packages

--addsrcarchall
    add source packages which only build arch:all binary packages

--deb-drop-b-d-indep
    Drop Build-Depends-Indep dependencies

--deb-drop-b-d-arch
    Drop Build-Depends-Arch dependencies

--allowsrcmismatch
    If a binary package is without a source package but there is a source package of same name but different version, match this binary package to that source package.

--progress
    print progress bars

-o, --outfile=FILE
    Set the output file FILE

--deb-native-arch=ARCH
    Native architecture ARCH

--deb-host-arch=arch
    Host architecture arch. Defaults to native architecture.

--deb-foreign-archs=archs
    Comma-separated foreign architectures in addition to native and host architectures.

--deb-ignore-essential
    By default, installing any binary package requires the coinstallation set of all binary packages marked as Essential:yes to be installed as well. This option drops this requirement.

EXAMPLE
Clean up a repository:

 botch-clean-repository --deb-native-arch=amd64 packages sources > packages-clean
 botch-bin2src --deb-native-arch=amd64 packages-clean sources > sources-clean

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.